#include <stdint.h>
#include "gndefs.h"
#include "utils.h"

int32_t ConvertColourCorrectionValue(int32_t nColourCorrection) {
    // Converts the values that are shown the user via the PPD file to the
    // internal values that the driver uses.

    // Note that this is currently only really valid for the Pronto 100

    switch (nColourCorrection) {
        case 0:
            return UICBVAL_ColourCorrection_None;
        case 1:
            return UICBVAL_ColourCorrection_ICC_Internal;
        case 2:
            return UICBVAL_ColourCorrection_Perceptual;
        case 3:
            return UICBVAL_ColourCorrection_Saturation;
        case 4:
            return UICBVAL_ColourCorrection_RelColorimetric;
        case 5:
            return UICBVAL_ColourCorrection_AbsColorimetric;
    }

    return UICBVAL_ColourCorrection_None;
}
